Commit 7ff48935 authored by Jake Petroules's avatar Jake Petroules
Browse files

Explicitly specify the minimum macOS version in the qtcjson library



Also don't set the value in more than one place.

Change-Id: Iea1dc1d4e127c12d6333799dda91749eb2d604d4
Reviewed-by: Eike Ziller's avatarEike Ziller <eike.ziller@qt.io>
Reviewed-by: Christian Kandeler's avatarChristian Kandeler <christian.kandeler@qt.io>
parent 2c55c10c
......@@ -22,7 +22,7 @@ Product {
Properties {
condition: Utilities.versionCompare(Qt.core.version, "5.7") < 0
cpp.minimumMacosVersion: "10.8"
cpp.minimumMacosVersion: project.minimumMacosVersion
}
cpp.cxxLanguageVersion: "c++14"
......
......@@ -5,6 +5,7 @@ import qbs.FileInfo
Project {
name: "Qt Creator"
minimumQbsVersion: "1.6.0"
property string minimumMacosVersion: "10.8"
property bool withAutotests: qbs.buildVariant === "debug"
property path ide_source_tree: path
property pathList additionalPlugins: []
......
......@@ -4,6 +4,7 @@ StaticLibrary {
name: "qtcjson"
Depends { name: "cpp" }
cpp.cxxLanguageVersion: "c++11"
cpp.minimumMacosVersion: project.minimumMacosVersion
files: [
"json.cpp",
"json.h",
......
import qbs
import qbs.Utilities
CppApplication {
name: "valgrind-fake"
......@@ -7,6 +8,12 @@ CppApplication {
Depends { name: "Qt"; submodules: ["network", "xml"]; }
Depends { name: "qtc" }
cpp.cxxLanguageVersion: "c++11"
Properties {
condition: Utilities.versionCompare(Qt.core.version, "5.7") < 0
cpp.minimumMacosVersion: project.minimumMacosVersion
}
files: [
"main.cpp",
"outputgenerator.h", "outputgenerator.cpp"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment